LiveFox.Log = {

  progressMeter: null,

  progressLabel: null,

  start: function() {

    LiveFox.Log.progressMeter = document.getElementById("progressmeter");

    LiveFox.Log.progressLabel = document.getElementById("progresslabel");

  },

  Meter: function (value) {

    LiveFox.Log.progressMeter.setAttribute("value", value);

    if (value==100) LiveFox.Log.progressLabel.setAttribute("value", "");

  },

  Label: function (value) {

    LiveFox.Log.progressLabel.setAttribute("value", value);

  },

  debug: function (message) {

    dump("[LiveFox:Debug] " + message + "\n");

  },

  trace: function (message) {

    dump("[LiveFox:Trace] " + message + "\n");

  },

  info: function (message) {

    dump("[LiveFox:Info] " + message + "\n");

  },

  warn: function (message) {

    dump("[LiveFox:Warning] " + message + "\n");

  },

  error: function (message) {

    dump("[LiveFox:Error] " + message + "\n");

  },

  properties: function (obj, message) {

    if (message) this.debug(message);

    for (var prop in obj) {

      LiveFox.Log.debug(prop + ":" + obj[prop])

    }

  }

};









